@import url("https://fonts.googleapis.com/css2?family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap");

* {
    box-sizing: border-box;
    font-family: "Inter", "Roboto", "Helvetica Neue", Arial, sans-serif;

    @media (max-width: 768px) {
        flex-direction: column !important;
    }

    a:hover {
        filter: brightness(0.8);
        transition: 0.15s;
    }
}


body {
    display: flex;
    flex-direction: column;
    margin: 0;
    min-height: 100vh;
    width: 100%;
    overflow-x: hidden;

    header {
        display: flex;
        flex-direction: column;
        align-items: center;
        background: #383838;
        background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%);
        color: white;

        #container-header {
            height: 9.5vh;
            width: 100%;
            max-width: 1200px;
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 0 20px;

            @media (max-width: 768px) {
                height: 12vh;
                justify-content: space-evenly;
            }

            #logo {
                display: flex;
                align-items: center;
                height: 80%;
                gap: 15px;
                flex-direction: row !important;

                @media (max-width: 768px) {
                    height: 50%;
                    padding: 0;
                }

                img {
                    height: 70%;
                    cursor: pointer;
                }

                h1 {
                    font-size: xx-large;
                    margin: 0;

                    a {
                        text-decoration: none;
                        color: white;
                    }
                }
            }

            h1 {
                font-size: xx-large;
                margin: 0;

                a {
                    text-decoration: none;
                    color: white;
                }
            }

            nav {
                display: flex;
                width: 100%;
                justify-content: flex-end;


                ul {
                    list-style: none;
                    display: flex;
                    flex-direction: row !important;
                    padding: 0;
                    margin: 0;
                    gap: 15px;

                    @media (max-width: 768px) {
                        justify-content: space-around;
                    }


                    li {
                        a {
                            text-decoration: none;
                            color: white;
                            font-weight: 600;
                        }
                    }
                }
            }
        }
    }

    main {
        min-height: 90%;
        width: 100vw;
        display: flex;
        flex-direction: column;
        align-items: center;
        max-width: 1200px;
        margin: auto;
        flex: 1;

        section {
            min-height: 85vh;
            padding: 20px;

            h2 {
                font-size: xx-large;
            }

            &#sobre {
                display: flex;
                flex-direction: column;
                max-height: 85vh;

                picture {
                    display: flex;
                    flex-wrap: wrap;
                    align-content: center;
                    width: 100%;
                    height: 150px;
                    box-shadow: 0px 1px 3px rgb(0 0 0 / 75%);
                    border-radius: 10px;
                    overflow: hidden;
                    flex: 1;

                    img {
                        object-fit: contain;
                        width: 100%;
                    }
                }

                div {
                    height: fit-content;
                    padding-bottom: 25%;
                }
            }

            &#sites {
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: space-evenly;
                padding: 20px;
                gap: 20px;
                background: #383838;
                background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%);
                color: white;
                width: 100vw;

                h2 {
                    margin: 0;
                }

                div {
                    display: flex;
                    justify-content: space-between;
                    max-width: 1200px;
                    padding: 0 20px;

                    article {
                        width: 50%;
                        text-align: justify;

                        @media (max-width: 768px) {
                            width: 100%;
                        }
                    }

                    picture {
                        display: flex;
                        align-items: center;
                        width: 40%;

                        @media (max-width: 768px) {
                            width: 100%;
                        }

                        a {
                            img {
                                width: 95%;
                                border-radius: 5px;
                                box-shadow: 0px 1px 5px rgb(0 0 0 / 55%);
                                cursor: pointer;
                                
                                &:hover{
                                    transform: translateY(-2px);
                                    transition: .3s;
                                }

                                @media (max-width: 768px) {
                                    width: 100%;
                                }
                            }
                        }
                    }
                }
            }

            &#contato {
                width: 100%;
                display: flex;
                flex-direction: column;
                align-items: center;
                justify-content: center;

                h2 {
                    margin: 0;
                }

                ul {
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    justify-content: center;
                    list-style: none;
                    color: white;
                    width: 100%;
                    margin: 0;
                    padding: 0;
                    gap: 15px;
                    text-align: center;

                    li {
                        display: flex;
                        flex-direction: row !important;
                        width: 40%;
                        border: #383838 1px solid;
                        background-color: #383838;
                        height: 200px;
                        box-shadow: 0px 1px 3px rgb(0 0 0 / 55%);
                        border-radius: 10px;

                        background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%);

                        background-attachment: fixed;
                        background-size: 200% 100%; 



                        &:hover {
                            box-shadow: 0px 1px 15px rgb(0 0 0 / 85%);
                            transition: .5s;
                            transform: translateY(-2px)
                        }

                        @media (max-width: 768px) {
                            width: 100%;
                        }

                        img {
                            padding: 5%;
                            width: 30%;
                            filter: invert(1) brightness(0.5);
                        }

                        div {
                            display: flex;
                            flex-direction: column;
                            align-items: center;
                            justify-content: center;
                            flex: 1;
                            gap: 15px;
                            padding: 0 3%;

                            h3,
                            p,
                            span {
                                margin: 0;
                                color: white;
                            }
                        }
                    }

                }
            }
        }
    }

    footer {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: 20vh;
        background: #383838;
        background: linear-gradient(310deg, rgba(56, 56, 56, 1) 0%, rgba(39, 43, 41, 1) 30%, rgba(0, 0, 0, 1) 100%);
        color: white;

        h4,
        p {
            margin: 0;
        }
    }
}